# $Revision: 1.31 $, $Date: 2006/11/21 19:57:01 $
%include	/usr/lib/rpm/macros.php
%define		_class		XML
%define		_subclass	Transformer
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - XML transformations in PHP
Summary(pl):	%{_pearname} - transformacje XML-a w PHP
Name:		php-pear-%{_pearname}
Version:	1.1.0
Release:	4
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	11dc89fdad2195a939354b71a568bacf
URL:		http://pear.php.net/package/XML_Transformer/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(pcre)
Requires:	php(xml)
Requires:	php-common < 3:5.1
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
Requires:	php-pear-XML_Util >= 1.1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
With the XML_Transformer class one can easily bind PHP functionality
to XML tags, thus transforming the input XML tree into an output XML
tree without the need for XSLT. Single XML elements can be overloaded
with PHP functions, methods and static method calls, XML namespaces
can be registered to be handled by PHP classes.

In PEAR status of this package is: %{_status}.

%description -l pl
Z klas XML_Transformer mona atwo zwiza funkcjonalno PHP z
tagami XML, transformujc wejciowe drzewo XML w wyjciowe drzewo XML
bez potrzeby stosowania XSLT. Pojedynczy element XML moe by
przeciony funkcjami PHP, metodami i statycznymi wywoaniami metod,
przestrze nazw XML moe by zarejestrowana, aby mona byo je
obsugiwa przez klasy PHP.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

install -d ./%{php_pear_dir}/tests
mv ./%{php_pear_dir}/{%{_class}/%{_subclass}/Tests,tests/%{_pearname}}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_Transformer.spec,v $
Revision 1.31  2006/11/21 19:57:01  glen
- rel 4: use php(extension) virtuals

Revision 1.30  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.29  2006/04/02 13:48:07  glen
- AutoProv: no for -tests

Revision 1.28  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.27  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.26  2005/10/27 19:22:29  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.25  2005/10/05 20:59:32  glen
- rel 3

Revision 1.24  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.23  2005/10/01 00:44:20  glen
- new pear packaging

Revision 1.22  2004/12/04 14:29:44  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.21  2004/11/28 12:33:56  adamg
- updated to 1.1.0
- added %doc, simplified %files

Revision 1.20  2004/10/24 18:53:07  paladine
- spelling fixes, uppercases, etc.

Revision 1.19  2004/05/30 13:13:54  adamg
- fixed english information about status of the package

Revision 1.18  2004/03/15 17:44:32  ankry
- massive cosmetics

Revision 1.17  2004/03/15 14:06:36  adamg
- updated to 1.0.0

Revision 1.16  2004/03/02 21:23:10  adamg
- updated to 0.9.1

Revision 1.15  2004/02/23 22:09:01  ankry
- pl fixes, cosmetics

Revision 1.14  2004/02/07 08:24:47  adamg
- updated to 0.9.0

Revision 1.13  2003/10/07 20:56:49  adamg
- do not use macros in URL

Revision 1.12  2003/09/12 05:12:31  adamg
- updated to 0.8.2, added status information in %description

Revision 1.11  2003/08/31 20:49:12  adamg
- more specific URL

Revision 1.10  2003/05/28 10:50:33  adamg
- massive manual attack: pear packages update

Revision 1.9  2003/05/28 08:58:51  adamg
- massive attack: added source0-md5

Revision 1.8  2003/05/25 06:25:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/10/14 23:53:15  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.6  2002/10/10 16:41:31  blues
- 0.8 - STBR

Revision 1.5  2002/09/22 08:56:28  blues
- 0.7 - STBR

Revision 1.4  2002/09/17 23:43:12  blues
- 0.6 - many changes, more files - first package with License PHP 3.00
  (aproved by Stallman :) ) - STBR

Revision 1.3  2002/09/08 14:34:56  blues
- 0.5 - STBR

Revision 1.2  2002/09/04 12:34:32  blues
- 0.4 (stable) - STBR

Revision 1.1  2002/07/17 13:19:44  blues
- intial release
